<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>Uses of Package cern.dip (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package cern.dip (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Package cern.dip" class="title">Uses of Package<br>cern.dip</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="package-summary.html">cern.dip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#cern.dip">cern.dip</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#cern.dip.implementation">cern.dip.implementation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#cern.dip.mock">cern.dip.mock</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="cern.dip">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">cern.dip</a> used by <a href="package-summary.html">cern.dip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/BadParameter.html#cern.dip">BadParameter</a></th>
<td class="colLast">
<div class="block">Indicates that an illegal or inappropriate argument has been passed to a
 method.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipBrowser.html#cern.dip">DipBrowser</a></th>
<td class="colLast">
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipData.html#cern.dip">DipData</a></th>
<td class="colLast">
<div class="block">Interface for DIP data.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipException.html#cern.dip">DipException</a></th>
<td class="colLast">
<div class="block">The common superclass for a number of exceptions that can be thrown by Dip.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipFactory.html#cern.dip">DipFactory</a></th>
<td class="colLast">
<div class="block">Dip (Data Interchange Protocol) is the publish/subscribe interface for the
 CERN inter-domain communication designed according to the requirements
 established by the LDIWG (LHC Data Interchange Working Group).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublication.html#cern.dip">DipPublication</a></th>
<td class="colLast">
<div class="block">Interface for DIP publications.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublicationErrorHandler.html#cern.dip">DipPublicationErrorHandler</a></th>
<td class="colLast">
<div class="block">This interface enables asynchronous DIP errors to be reported.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipQualityEnum.html#cern.dip">DipQualityEnum</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscription.html#cern.dip">DipSubscription</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscriptions.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscriptionListener.html#cern.dip">DipSubscriptionListener</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscription Listeners.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipTimestamp.html#cern.dip">DipTimestamp</a></th>
<td class="colLast">
<div class="block">Should be used to indicate the time at which the value of a DipData Item was
 obtained.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/TypeMismatch.html#cern.dip">TypeMismatch</a></th>
<td class="colLast">
<div class="block">Thrown by "extract" methods of the Data and DataEntry class to indicate
 that the actual type of the contained data does not correspond to the
 expected type.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="cern.dip.implementation">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">cern.dip</a> used by <a href="implementation/package-summary.html">cern.dip.implementation</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/BadParameter.html#cern.dip.implementation">BadParameter</a></th>
<td class="colLast">
<div class="block">Indicates that an illegal or inappropriate argument has been passed to a
 method.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipBrowser.html#cern.dip.implementation">DipBrowser</a></th>
<td class="colLast">
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipData.html#cern.dip.implementation">DipData</a></th>
<td class="colLast">
<div class="block">Interface for DIP data.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipException.html#cern.dip.implementation">DipException</a></th>
<td class="colLast">
<div class="block">The common superclass for a number of exceptions that can be thrown by Dip.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipFactory.html#cern.dip.implementation">DipFactory</a></th>
<td class="colLast">
<div class="block">Dip (Data Interchange Protocol) is the publish/subscribe interface for the
 CERN inter-domain communication designed according to the requirements
 established by the LDIWG (LHC Data Interchange Working Group).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublication.html#cern.dip.implementation">DipPublication</a></th>
<td class="colLast">
<div class="block">Interface for DIP publications.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublicationErrorHandler.html#cern.dip.implementation">DipPublicationErrorHandler</a></th>
<td class="colLast">
<div class="block">This interface enables asynchronous DIP errors to be reported.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipQualityEnum.html#cern.dip.implementation">DipQualityEnum</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscription.html#cern.dip.implementation">DipSubscription</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscriptions.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscriptionListener.html#cern.dip.implementation">DipSubscriptionListener</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscription Listeners.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipTimestamp.html#cern.dip.implementation">DipTimestamp</a></th>
<td class="colLast">
<div class="block">Should be used to indicate the time at which the value of a DipData Item was
 obtained.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/TypeMismatch.html#cern.dip.implementation">TypeMismatch</a></th>
<td class="colLast">
<div class="block">Thrown by "extract" methods of the Data and DataEntry class to indicate
 that the actual type of the contained data does not correspond to the
 expected type.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="cern.dip.mock">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">cern.dip</a> used by <a href="mock/package-summary.html">cern.dip.mock</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipBrowser.html#cern.dip.mock">DipBrowser</a></th>
<td class="colLast">
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipData.html#cern.dip.mock">DipData</a></th>
<td class="colLast">
<div class="block">Interface for DIP data.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipException.html#cern.dip.mock">DipException</a></th>
<td class="colLast">
<div class="block">The common superclass for a number of exceptions that can be thrown by Dip.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipFactory.html#cern.dip.mock">DipFactory</a></th>
<td class="colLast">
<div class="block">Dip (Data Interchange Protocol) is the publish/subscribe interface for the
 CERN inter-domain communication designed according to the requirements
 established by the LDIWG (LHC Data Interchange Working Group).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublication.html#cern.dip.mock">DipPublication</a></th>
<td class="colLast">
<div class="block">Interface for DIP publications.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipPublicationErrorHandler.html#cern.dip.mock">DipPublicationErrorHandler</a></th>
<td class="colLast">
<div class="block">This interface enables asynchronous DIP errors to be reported.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscription.html#cern.dip.mock">DipSubscription</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscriptions.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DipSubscriptionListener.html#cern.dip.mock">DipSubscriptionListener</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscription Listeners.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DipTimestamp.html#cern.dip.mock">DipTimestamp</a></th>
<td class="colLast">
<div class="block">Should be used to indicate the time at which the value of a DipData Item was
 obtained.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
